JsDoc Reference - SmartCardHSMSymmetricKeySpecGenerator

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class SmartCardHSMSymmetricKeySpecGenerator

Class implementing an encoder for the C-Data required in Generate Symmetric Key
Defined in: SmartCardHSM.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SmartCardHSMSymmetricKeySpecGenerator(allowedAlgorithms) Create a key specification generator instance for AES keys

Method Summary
Method Attributes | Method Name and Description
--- | ---
| encode() Return the encoded AES key specification
| setKeyDomain(keyDomain) Set key domain

Class Detail
SmartCardHSMSymmetricKeySpecGenerator(allowedAlgorithms)
Create a key specification generator instance for AES keys

Parameters:
{ByteString} allowedAlgorithms
  the list of allowed algorithm identifier

Method Detail
{ByteString} encode()
Return the encoded AES key specification

Returns:
  the encoded C-Data for Generate Symmetric Key

setKeyDomain(keyDomain)
Set key domain

Parameters:
{Number} keyDomain
  the key domain to which the key shall be added

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)